### Method

# Gtk Widget get_state_flags

#### Declaration [src]

    GtkStateFlags
    gtk_widget_get_state_flags (
      GtkWidget* widget
    )

#### Description [src]

Returns the widget state as a flag set.

It is worth mentioning that the effective `GTK_STATE_FLAG_INSENSITIVE` state will be returned, that is, also based on parent insensitivity, even if `widget` itself is sensitive.

Also note that if you are looking for a way to obtain the `GtkStateFlags` to pass to a `GtkStyleContext` method, you should look at `gtk_style_context_get_state()`.

#### Return value

Type: `GtkStateFlags`

The state flags of widget.